<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_marginStart="6dp"
    android:layout_marginEnd="6dp"
    android:paddingTop="16dp">

    <View
        android:id="@+id/v_icon_background"
        android:layout_width="52dp"
        android:layout_height="52dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/iv_icon"
        android:layout_width="48dp"
        android:layout_height="48dp"
        app:gameIconBorderColor="@color/resource_border"
        app:gameIconBorderWidth="0.5dp"
        app:gameIconCornerRadius="48dp"
        app:layout_constraintBottom_toBottomOf="@id/v_icon_background"
        app:layout_constraintEnd_toEndOf="@id/v_icon_background"
        app:layout_constraintStart_toStartOf="@id/v_icon_background"
        app:layout_constraintTop_toTopOf="@id/v_icon_background" />

    <View
        android:id="@+id/v_indicator_background"
        android:layout_width="8dp"
        android:layout_height="8dp"
        android:background="@drawable/bg_shape_white_radius_8"
        app:layout_constraintBottom_toBottomOf="@id/v_icon_background"
        app:layout_constraintEnd_toEndOf="@id/v_icon_background" />

    <View
        android:id="@+id/v_indicator"
        android:layout_width="6dp"
        android:layout_height="6dp"
        android:background="@drawable/bg_shape_second_green_radius_6"
        app:layout_constraintBottom_toBottomOf="@id/v_indicator_background"
        app:layout_constraintEnd_toEndOf="@id/v_indicator_background"
        app:layout_constraintStart_toStartOf="@id/v_indicator_background"
        app:layout_constraintTop_toTopOf="@id/v_indicator_background" />

    <androidx.constraintlayout.widget.Group
        android:id="@+id/g_indicator"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:constraint_referenced_ids="v_indicator_background,v_indicator" />

    <TextView
        android:id="@+id/tv_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:ellipsize="end"
        android:gravity="center_horizontal"
        android:maxLines="1"
        android:textColor="@color/text_secondary"
        android:textSize="11sp"
        app:layout_constraintEnd_toEndOf="@id/v_icon_background"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_icon_background"
        tools:text="元神" />


</androidx.constraintlayout.widget.ConstraintLayout>